.clock {
  background: none;
  max-width: 100%;
  max-height: 100%;
  box-shadow: none;
  border: none;
  cursor: pointer;
  position: relative;

  input {
    position: absolute;
    display: none;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: white;
    border-radius: 3px;
    border: 1px solid $red;
  }

  &[data-value="0"] {
    circle {
      fill: none;
    }
  }

  @for $i from 1 through 14 {
    &[data-value="#{$i}"] {
      .sector-#{$i} ~ circle {
        fill: none;
      }
    }
  }

  svg {
    max-width: 100%;
    max-height: 100%;
  }


}
